POST/api/v4/locations/oauth-disconnect

断开地点与Apple Business Connect的连接

移除某个地点与所有者的 Apple Business 账户之间的连接。该地点仍会保留在 Apple Maps 上,并通过 ListingsAPI 账户发布。

需要 API 密钥。请求头格式和密钥轮换请参阅身份验证。

参数

请求体

名称类型必填描述
inputobject必填Wrapper object. The entire request body must be nested under `input`.
input.locationIdstring必填Base64-encoded Relay ID of the one location to disconnect.
input.sitestring必填Set to `APPLE`.

请求示例

可直接粘贴的请求体。请将占位 ID 和值替换为您自己的。

Request body
{  "input": {    "locationId": "TG9jYXRpb246MTgwMDI4OQ==",    "site": "APPLE"  }}

响应

200Connection removed. Response key `disconnectConnectedAccountsLocations`.
Response
{  "data": {    "disconnectConnectedAccountsLocations": {      "clientMutationId": null,      "success": true,      "errors": null    }  }}
401Unauthenticated, missing or invalid API key.
403The key is valid but not permitted to disconnect this location (`SY90003`).

当客户离开并带走其 Apple Business 账户时,请使用此操作。该地点仍会保留在您的账户中和 Apple Maps 上:后续更新将通过 ListingsAPI 的 Apple Business Connect 账户发布,Apple 会在发布前验证提交的内容。该地点与其他发布平台的连接不受影响。

如果地点没有有效的 Apple 连接,则会返回 SY10057,因此 success: true 表示已移除一个连接。每次调用只处理一个地点;如需断开多个地点,请循环调用。

如需再次通过所有者的账户发布,请使用将地点连接到 Apple Business Connect 向所有者发送新链接。

本页介绍断开单个地点与发布平台的连接 中的 site: "APPLE" 情况。

此端点会更改实际生效的连接。上方的示例请求和响应仅为示例。

Request
curl -X POST 'https://listingsapi.com/api/v4/locations/oauth-disconnect' \  -H "Authorization: API $LISTINGSAPI_KEY" \  -H 'Content-Type: application/json' \  -d '{    "input": {      "locationId": "TG9jYXRpb246MTgwMDI4OQ==",      "site": "APPLE"    }  }'